Reset the specified API call limit

View llm.txt

Last edited on 2026-07-04

This API should be called on the server side and cannot be called directly on the client side (Mini Program, web page, APP, etc.). For details, please refer to API Call Guide.

API English Name: clearApiQuota

This interface uses access_token to reset the daily call limit for a specific API

1. Call Method

HTTPS Call

POST https://api.weixin.qq.com/cgi-bin/openapi/quota/clear?access_token=ACCESS_TOKEN

Cloud Call

  • This API does not support cloud call.

Third-party Call

  • This API supports third-party platforms to call using component_access_token, and also supports calling on behalf of Merchant call.

  • After the service provider obtains any permission set authorization, it can use authorizer_access_token to call on behalf of Merchant, for details please refer to Third-party Call documentation.

2. Request Parameters

Query Parameters Query String Parameters

ParameterTypeRequiredExampleDescription
access_tokenstringYesACCESS_TOKENAPI call credential, you can use access_token, component_access_token, authorizer_access_token

Request Body Request Payload

ParameterTypeRequiredExampleDescription
cgi_pathstringYes/channels/ec/basics/info/getThe request address for the API. The cgi_path must start with "/channels/ec/", without the prefix "https://api.weixin.qq.com" or missing the "/".

3. Response Parameters

Response Body Response Payload

ParameterTypeExampleDescription
errcodenumber0Error code
errmsgstringokError message

4. Notes

  • Can be used to reset interfaces for Mini Programs, official accounts, WeChat stores, and other WeChat development ecosystem services. The cgi_path must start with "/", for example, "/channels/ec/".
  • If a third-party service provider is clearing the quota, authorizer_access_token must be used.
  • Each account has a total of 50 quota reset attempts per month. Each reset consumes one attempt.
  • Due to differences in metric calculation methods or statistical timing, there may be slight discrepancies in real-time call volume data, generally within 1%.

5. Code Example

Request Example

{
  "cgi_path":"/channels/ec/basics/info/get"
} 

Response Example

{
  "errcode": 0,
  "errmsg": "ok"
}

6. Error Codes

The following is the error code list of this API, other error codes can refer to Common Error Codes; When encountering errors in calling the API, you can use the official API Diagnostic Tool to assist in locating and analyzing problems.

Error CodeError DescriptionSolution
40001invalid credential  access_token isinvalid or not latestThe access_token is invalid or not the latest obtained access_token. Developers should verify the validity of the access_token.
41001access_token missingThe access_token parameter is missing.
42001access_token expiredThe access_token has expired. Please check the validity period of the access_token. For detailed information on the access_token mechanism, refer to Basic Support - Obtaining Access_token.
44002empty post dataThe POST data packet is empty. The post request body parameter cannot be empty.
45009reach max api daily quota limitExceeded the daily API call limit.
50002user limitedUser restrictions: The user account may be frozen or deleted.
76021cgi_path not found, please checkIncorrect cgi_path was entered.
76022could not use this cgi_path,no permissionThe token used for the current API call does not match the account to which the API belongs. For details, see the notes section.

7. Applicable Scope

API callable status for different account types:
Mini ProgramOfficial AccountService AccountMini GameWeChat ShopAlliance AgencyInfluencerShop SupplierThird-party PlatformMobile AppWebsite AppChannels WindowMulti-platform App
✔ ✔ ✔ ✔ ✔ ✔ ✔ ✔ 〇 ✔ ✔ ✔ ✔
  • ✔:This account type can call this API。
  • 〇:Third-party platforms can use component_access_token to call. For calling on behalf of Merchant, please refer to the Call Method section。